Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Input\Parser\FieldDefinitionList Class Reference

Parser for FieldDefinitionList. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\Input\Parser\FieldDefinitionList:

## Public Member Functions
| __construct (ParserTools $parserTools, ContentTypeService $contentTypeService)
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $parserTools
| $contentTypeService
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for FieldDefinitionList.

Definition at line 18 of file Client/Input/Parser/FieldDefinitionList.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Input\Parser\FieldDefinitionList::__construct | ( | ParserTools | $parserTools,
|  | ContentTypeService | $contentTypeService
| ) |  |

Parameters

  \eZ\Publish\Core\REST\Common\Input\ParserTools | $parserTools |
  \eZ\Publish\API\Repository\ContentTypeService | $contentTypeService |

Definition at line 30 of file Client/Input/Parser/FieldDefinitionList.php.

References eZ\Publish\Core\REST\Client\Input\Parser\FieldDefinitionList\$contentTypeService, and eZ\Publish\Core\REST\Client\Input\Parser\FieldDefinitionList\$parserTools.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Client\Input\Parser\FieldDefinitionList::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \eZ\Publish\Core\REST\Client\Values\FieldDefinitionList

Definition at line 44 of file Client/Input/Parser/FieldDefinitionList.php.

## Member Data Documentation

## ◆ $contentTypeService

eZ\Publish\Core\REST\Client\Input\Parser\FieldDefinitionList::$contentTypeService
| protected

Definition at line 24 of file Client/Input/Parser/FieldDefinitionList.php.

Referenced by eZ\Publish\Core\REST\Client\Input\Parser\FieldDefinitionList\__construct().

## ◆ $parserTools

eZ\Publish\Core\REST\Client\Input\Parser\FieldDefinitionList::$parserTools
| protected

Definition at line 21 of file Client/Input/Parser/FieldDefinitionList.php.

Referenced by eZ\Publish\Core\REST\Client\Input\Parser\FieldDefinitionList\__construct().

The documentation for this class was generated from the following file:

- Client/Input/Parser/FieldDefinitionList.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.